﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
/// <summary>
/// ¨This script is used to control the paddle without MLAgents
/// just to test ho to move it at the beggining of the development.
/// This code is move to the heuristic function. 
/// </summary>
public class Paddle : MonoBehaviour
{
    public float _speed = 6;
    public GameObject _topWall, _downWall;


    // Update is called once per frame
    void Update()
    {
        float move = Input.GetAxis("Vertical") * Time.deltaTime * _speed;
        //&& (move > 0 && transform.position.y < GameManager._topRight.y +
        //    transform.localScale.y)

        if ((transform.position.y < _downWall.transform.position.y +
            transform.localScale.y / 2 && move < 0))
        {
            return; 
        }
        if ((move > 0) && (transform.position.y > _topWall.transform.position.y -
            transform.localScale.y / 2))
        {
            return; 
        }
        transform.Translate(move * Vector2.up);
    }

    private void OnTriggerEnter2D(Collider2D collision)
    {
        if (collision.tag == "Ball")
        {
            collision.GetComponent<Ball>().changeXDirection();

        }
        
    }
}
